Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex
Class MasterServerSocket

    java.lang.Object
      java.net.ServerSocket
          org.jboss.remoting.transport.multiplex.MasterServerSocket

All Implemented Interfaces:
  java.io.Serializable

    public class MasterServerSocket

extends java.net.ServerSocket
implements java.io.Serializable

`MasterServerSocket` is one of the two implementations of a server socket in the Multiplex project. For each socket created in the `accept()` method, it builds a virtual socket group. For more details, see the Multiplex documentation on the labs.jboss.org web site.

Most of the methods in `MasterServerSocket` override those in its parent class, `java.net.ServerSocket`. For method descriptions, see the `ServerSocket` javadoc.

Copyright (c) 2005

Author:
  Ron Sigal
See Also:
  Serialized Form

Constructor Summary
`MasterServerSocket()`
`MasterServerSocket(boolean nio)`
`MasterServerSocket(boolean nio, int port)`
`MasterServerSocket(boolean nio, int port, int backlog)`
`MasterServerSocket(boolean nio, int port, int backlog, java.net.InetAddress bindAddr)`
`MasterServerSocket(int port)`
`MasterServerSocket(int port, int backlog)`
`MasterServerSocket(int port, int backlog, java.net.InetAddress bindAddr)`
`MasterServerSocket(int port, int backlog, java.net.InetAddress bindAddr, java.util.Map conf)` Create a new `MasterServerSocket`.
`MasterServerSocket(javax.net.ServerSocketFactory ssf)`
`MasterServerSocket(javax.net.ServerSocketFactory ssf, int port)`
`MasterServerSocket(javax.net.ServerSocketFactory ssf, int port, int backlog)`
`MasterServerSocket(javax.net.ServerSocketFactory ssf, int port, int backlog, java.net.InetAddress bindAddr)`

Method Summary
`java.net.Socket` | `accept()` See `java.net.ServerSocket` javadoc.
`int` | `acceptServerSocketConnection()` Accepts a connection from a remote `VirtualServerSocket`.
`void` | `bind(java.net.SocketAddress endpoint)` See `java.net.ServerSocket` javadoc.
`void` | `bind(java.net.SocketAddress endpoint, int backlog)` See `java.net.ServerSocket` javadoc.
`void` | `close()` See `java.net.ServerSocket` javadoc.
`java.nio.channels.ServerSocketChannel` | `getChannel()` See `java.net.ServerSocket` javadoc.
`java.net.InetAddress` | `getInetAddress()` See `java.net.ServerSocket` javadoc.
`int` | `getLocalPort()` See `java.net.ServerSocket` javadoc.
`java.net.SocketAddress` | `getLocalSocketAddress()` See `java.net.ServerSocket` javadoc.
`int` | `getReceiveBufferSize()` See `java.net.ServerSocket` javadoc.
`boolean` | `getReuseAddress()` See `java.net.ServerSocket` javadoc.
`int` | `getSoTimeout()` See `java.net.ServerSocket` javadoc.
`boolean` | `isBound()` See `java.net.ServerSocket` javadoc.
`boolean` | `isClosed()` See `java.net.ServerSocket` javadoc.
`void` | `setConfiguration(java.util.Map configuration)`
`void` | `setReceiveBufferSize(int size)` See `java.net.ServerSocket` javadoc.
`void` | `setReuseAddress(boolean on)` See `java.net.ServerSocket` javadoc.
`void` | `setSoTimeout(int timeout)` See `java.net.ServerSocket` javadoc.
`java.lang.String` | `toString()` See `java.net.ServerSocket` javadoc.

Methods inherited from class java.net.ServerSocket
`implAccept, setPerformancePreferences, setSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MasterServerSocket

    public MasterServerSocket()
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(int port)
                       throws java.io.IOException

Parameters:
  `port` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(int port,
                              int backlog)
                       throws java.io.IOException

Parameters:
  `port` -
  `backlog` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(int port,
                              int backlog,
                              java.net.InetAddress bindAddr)
                       throws java.io.IOException

Parameters:
  `port` -
  `backlog` -
  `bindAddr` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(boolean nio)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(boolean nio,
                              int port)
                       throws java.io.IOException

Parameters:
  `port` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(boolean nio,
                              int port,
                              int backlog)
                       throws java.io.IOException

Parameters:
  `port` -
  `backlog` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(boolean nio,
                              int port,
                              int backlog,
                              java.net.InetAddress bindAddr)
                       throws java.io.IOException

Parameters:
  `port` -
  `backlog` -
  `bindAddr` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(int port,
                              int backlog,
                              java.net.InetAddress bindAddr,
                              java.util.Map conf)
                       throws java.io.IOException

  Create a new `MasterServerSocket`. If `Map` conf contains key `Multiplex.SERVER_SOCKET_FACTORY`, will use it. Otherwise, will create an NIO `ServerSocket`.

  Parameters:
    `port` -
    `backlog` -
    `bindAddr` -
    `conf` -
  Throws:
    `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(javax.net.ServerSocketFactory ssf)
                       throws java.io.IOException

Parameters:
  `ssf` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(javax.net.ServerSocketFactory ssf,
                              int port)
                       throws java.io.IOException

Parameters:
  `ssf` -
  `port` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(javax.net.ServerSocketFactory ssf,
                              int port,
                              int backlog)
                       throws java.io.IOException

Parameters:
  `ssf` -
  `port` -
  `backlog` -
Throws:
  `java.io.IOException`

### MasterServerSocket

    public MasterServerSocket(javax.net.ServerSocketFactory ssf,
                              int port,
                              int backlog,
                              java.net.InetAddress bindAddr)
                       throws java.io.IOException

Parameters:
  `ssf` -
  `port` -
  `backlog` -
  `bindAddr` -
Throws:
  `java.io.IOException`

Method Detail

### accept

    public java.net.Socket accept()
                           throws java.io.IOException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `accept` in class `java.net.ServerSocket`
  Throws:
    `java.io.IOException`

### bind

    public void bind(java.net.SocketAddress endpoint)
              throws java.io.IOException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `bind` in class `java.net.ServerSocket`
  Throws:
    `java.io.IOException`

### bind

    public void bind(java.net.SocketAddress endpoint,
                     int backlog)
              throws java.io.IOException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `bind` in class `java.net.ServerSocket`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `close` in class `java.net.ServerSocket`
  Throws:
    `java.io.IOException`

### getChannel

    public java.nio.channels.ServerSocketChannel getChannel()

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `getChannel` in class `java.net.ServerSocket`

### getInetAddress

    public java.net.InetAddress getInetAddress()

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `getInetAddress` in class `java.net.ServerSocket`

### getLocalPort

    public int getLocalPort()

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `getLocalPort` in class `java.net.ServerSocket`

### getLocalSocketAddress

    public java.net.SocketAddress getLocalSocketAddress()

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `getLocalSocketAddress` in class `java.net.ServerSocket`

### getReceiveBufferSize

    public int getReceiveBufferSize()
                             throws java.net.SocketException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `getReceiveBufferSize` in class `java.net.ServerSocket`
  Throws:
    `java.net.SocketException`

### getReuseAddress

    public boolean getReuseAddress()
                            throws java.net.SocketException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `getReuseAddress` in class `java.net.ServerSocket`
  Throws:
    `java.net.SocketException`

### getSoTimeout

    public int getSoTimeout()
                     throws java.io.IOException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `getSoTimeout` in class `java.net.ServerSocket`
  Throws:
    `java.io.IOException`

### isBound

    public boolean isBound()

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `isBound` in class `java.net.ServerSocket`

### isClosed

    public boolean isClosed()

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `isClosed` in class `java.net.ServerSocket`

### setReceiveBufferSize

    public void setReceiveBufferSize(int size)
                              throws java.net.SocketException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `setReceiveBufferSize` in class `java.net.ServerSocket`
  Throws:
    `java.net.SocketException`

### setReuseAddress

    public void setReuseAddress(boolean on)
                         throws java.net.SocketException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `setReuseAddress` in class `java.net.ServerSocket`
  Throws:
    `java.net.SocketException`

### setSoTimeout

    public void setSoTimeout(int timeout)
                      throws java.net.SocketException

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `setSoTimeout` in class `java.net.ServerSocket`
  Throws:
    `java.net.SocketException`

### toString

    public java.lang.String toString()

  See `java.net.ServerSocket` javadoc.

  Overrides:
    `toString` in class `java.net.ServerSocket`

### acceptServerSocketConnection

    public int acceptServerSocketConnection()
                                     throws java.io.IOException

  Accepts a connection from a remote `VirtualServerSocket`.

  Throws:
    `java.io.IOException`

### setConfiguration

    public void setConfiguration(java.util.Map configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.